package cn.com.infosec.asn1.sec;

import cn.com.infosec.asn1.x9.X9ECParameters;
import cn.com.infosec.asn1.x9.X9ECParametersHolder;
import cn.com.infosec.math.ec.ECCurve;
import cn.com.infosec.math.ec.ECPoint;
import cn.com.infosec.util.encoders.Hex;
import java.math.BigInteger;

class SECNamedCurves$13 extends X9ECParametersHolder {
   protected X9ECParameters createParameters() {
      BigInteger var7 = SECNamedCurves.access$0("FFFFFFFF00000001000000000000000000000000FFFFFFFFFFFFFFFFFFFFFFFF");
      BigInteger var1 = SECNamedCurves.access$0("FFFFFFFF00000001000000000000000000000000FFFFFFFFFFFFFFFFFFFFFFFC");
      BigInteger var2 = SECNamedCurves.access$0("5AC635D8AA3A93E7B3EBBD55769886BC651D06B0CC53B0F63BCE3C3E27D2604B");
      byte[] var3 = Hex.decode("C49D360886E704936A6678E1139D26B7819F7E90");
      BigInteger var4 = SECNamedCurves.access$0("FFFFFFFF00000000FFFFFFFFFFFFFFFFBCE6FAADA7179E84F3B9CAC2FC632551");
      BigInteger var5 = BigInteger.valueOf(1L);
      ECCurve.Fp var6;
      ECCurve.Fp var10000 = var6 = new ECCurve.Fp;
      var10000.<init>(var7, var1, var2);
      ECPoint var8 = var10000.decodePoint(Hex.decode("046B17D1F2E12C4247F8BCE6E563A440F277037D812DEB33A0F4A13945D898C2964FE342E2FE1A7F9B8EE7EB4A7C0F9E162BCE33576B315ECECBB6406837BF51F5"));
      return new X9ECParameters(var6, var8, var4, var5, var3);
   }
}
